
import java.util.StringTokenizer;

public class DataElem
{
	public String name = "", tel = "", address = "", email = "";
	public DataElem( String s )
	{
		if( s == null ) return;
		StringTokenizer st = new StringTokenizer( s, "\t" );
		try
		{
			name = st.nextToken();
			tel = st.nextToken();
			address = st.nextToken();
			email = st.nextToken();
		}
		catch( Exception e ) { }
	}
	public DataElem( String name, String tel, String address, String email )
	{
		this.name = ( name != null )? name : "";
		this.tel = ( tel != null )? tel : "";
		this.address = ( address != null )? address : "";
		this.email = ( email != null )? email : "";
	}
	public String toString()
	{
		return name + '\t' + tel + '\t' + address + '\t' + email;
	}
}