package searche;

import java.io.*;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import javax.servlet.ServletException;
import javax.servlet.ServletConfig;
import java.io.IOException;

public class SearchEngine extends HttpServlet {
		private String startDir;
		private boolean foundf=false;
		private boolean searchinfiles=false;

		public void init(ServletConfig config)
		throws ServletException
		{
			super.init(config);
			startDir=config.getInitParameter("startdir");
		}



		public void doGet(HttpServletRequest request,HttpServletResponse response)
			throws ServletException,IOException
			{
				String temp;
				PrintWriter out=response.getWriter();


				out.println("<html><head><link rel=\"stylesheet\" href=\"stylish.css\" type=\"text/css\"></head><body bgcolor=\"#DDDDDD\">");


		String search=request.getParameter("query");

		if(search==null) out.println("No search performed yet!"); // first load
				else
		{
			if(search.length()>0)
			{
					String scanfile=request.getParameter("scanfiles");
					//do search

					out.println("Searching for: <B>"+search+"</B><BR>");
					out.println("Search in files:");
					if(scanfile!=null) {searchinfiles=true; out.println("<B>Yes</B><BR>");}
					else {searchinfiles=false; out.println("<B>No</B><BR>");}
					out.println("blah:"+searchinfiles);
					out.println("Search Start Dir: <B>"+startDir+"</B><BR>");
					out.println("<BR>Performing search, please be patient...<BR>");

					out.println("<table width=\"600\" cellspacing=\"1\" cellpadding=\"0\" bgcolor=\"black\">");

					File sf=new File(startDir);
					if(sf.exists())
					{
						if(sf.isDirectory()){
								listdir(out,sf.toString(),search);
						}
						else
							if(sf.toString().toLowerCase().indexOf(search)!=-1) found(out,sf.toString());


					}
					else out.println("<TR><td bgcolor=\"#BBBBBB\"><font color=\"red\">Start dir not found!</font></td></tr>");

					if(!foundf)
					{
						out.println("<TR><td bgcolor=\"#BBBBBB\"><font color=\"red\">No results found!</font></td></tr>");
					}
					out.println("</table>");




			}
			else out.println("Error: <B>The search string can not be left blank</b><BR>");





			}
				out.println("</body></html>");
				foundf=false;


			}



			public void listdir(PrintWriter out,String dir,String searchfor)
			{
				File sf=new File(dir);
				int i;
				File[] flist=sf.listFiles();
				try{
					for(i=0;;i++)
					{
						if(flist[i].isDirectory()) listdir(out,flist[i].toString(),searchfor);
						else
							if(( flist[i].toString().indexOf(searchfor) != -1)||strinfile(searchfor,flist[i]))	 found(out,flist[i].toString());


					}
				}catch(IndexOutOfBoundsException e){
				}


			}

			public void found(PrintWriter out,String path)
			{
				foundf=true;
				out.println("<TR><td bgcolor=\"#BBBBBB\">"+path+"</td><td bgcolor=\"#BBBBBB\" width=\"100\"><a href=\"\"><a href=\"Download?filename="+path+"\">download</a></td></tr>");
			}

			public boolean strinfile(String str,File f)
			{
				String oneline;
				if(searchinfiles==false) return false;

			try{
				BufferedReader buff=new BufferedReader(new FileReader(f));
				while((oneline=buff.readLine())!=null)
				{
					if(oneline.indexOf(str)!=-1) return true;
				}
			}catch(IOException e){}
				return false;


			}

}