
import java.io.*;
import java.util.Vector;

public class Data
{
	private String fname;
	private Vector list;
	public Data( String filename ) throws IOException
	{
		fname = filename;
		load();
	}
	public int size()
	{
		return list.size();
	}
	public DataElem get( int num )
	{
		return (DataElem)list.get( num );
	}
	public void set( int num, DataElem d )
	{
		list.set( num, d );
	}
	public void add( DataElem d )
	{
		list.add( d );
	}
	public void del( int num )
	{
		list.remove( num );
	}
	public void load() throws IOException
	{
		list = new Vector();
		BufferedReader f = new BufferedReader( new FileReader( fname ) );
		String s;
		while( (s = f.readLine()) != null ) list.add( new DataElem( s ) );
		f.close();
	}
	public void save() throws IOException
	{
		PrintStream out = new PrintStream( new FileOutputStream( fname, false ) );
		for( int i = 0; i < list.size(); i++ )
		{
			if( list.get( i ) != null ) out.println( list.get( i ).toString() );
		}
		out.close();
	}
}