import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;

public class Login extends HttpServlet
{
	protected void doGet( HttpServletRequest req, HttpServletResponse resp ) throws ServletException, IOException
	{
		String user = req.getParameter( Config.LOGINFORM_USER );
		String pass = req.getParameter( Config.LOGINFORM_PASS );
		HttpSession session = req.getSession( true );
		boolean invalid = true;
		if( user != null && pass != null )
		{
			try
			{
				BufferedReader f = new BufferedReader( new FileReader( getServletContext().getRealPath("") + Config.PASSFILE ) );
				String s;
				while( (s = f.readLine()) != null )
				{
					int i = s.indexOf( '\t' );
					if( i < 0 ) continue;
					if( !s.substring( 0, i ).equalsIgnoreCase( user ) ) continue;
					if( s.substring( i + 1 ).equals( pass ) ) invalid = false;
					break;
				}
			}
			catch( Exception e ) { }
			if( !invalid )
			{
				session.setAttribute( Config.LOGGEDIN_FLAG, new Boolean( true ) );
				session.setAttribute( Config.LOGGEDIN_ERROR, new Boolean( false ) );
				session.setAttribute( Config.LOGGEDIN_USER, user );
				session.setAttribute( Config.LOGGEDIN_PASS, pass );
				session.setAttribute( Config.LOGGEDIN_DATA, JspFactory.getDefaultFactory().getPageContext(this, req, resp, "", true, 8192, true).getServletContext().getInitParameter( "ROOT" ) + '/' + user + '/' + Config.DATAFILE );
				resp.sendRedirect( "book.jsp" );
			}
		}
		if( invalid )
		{
			session.setAttribute( Config.LOGGEDIN_FLAG, new Boolean( false ) );
			session.setAttribute( Config.LOGGEDIN_ERROR, new Boolean( true ) );
			resp.sendRedirect( "index.jsp" );
		}
	}
	protected void doPost( HttpServletRequest req, HttpServletResponse resp ) throws ServletException, IOException
	{
		doGet( req, resp );
	}
}