import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;

public class Update extends HttpServlet
{
	protected void doGet( HttpServletRequest req, HttpServletResponse resp ) throws ServletException, IOException
	{
		resp.sendRedirect( "book.jsp" );
		String action = req.getParameter( Config.ADDFORM_ACTION );
		String record = req.getParameter( Config.ADDFORM_RECORD );
		String name = req.getParameter( Config.ADDFORM_NAME );
		String tel = req.getParameter( Config.ADDFORM_TEL );
		String addr = req.getParameter( Config.ADDFORM_ADDR );
		String mail = req.getParameter( Config.ADDFORM_MAIL );
		StringTokenizer num = new StringTokenizer( record, " " );

		Data data = null;
		boolean error = false;
		try
		{
			data = new Data( (String)req.getSession().getAttribute( Config.LOGGEDIN_DATA ) );
		}
		catch( Exception e )
		{
			return;
		}

		if( action.equals( Config.ADDFORM_ACTADD ) )
		{
			data.add( new DataElem( name, tel, addr, mail ) );
		}
		else if( action.equals( Config.ADDFORM_ACTCHG ) )
		{
			try
			{
				int i = Integer.parseInt( num.nextToken() );
				data.set( i, new DataElem( name, tel, addr, mail ) );
			}
			catch( Exception e ) { }
		}
		else if( action.equals( Config.ADDFORM_ACTDEL ) )
		{
			try
			{
				while( num.hasMoreTokens() )
				{
					int i = Integer.parseInt( num.nextToken() );
					data.set( i, null );
				}
			}
			catch( Exception e ) { }
		}
		data.save();
	}
	protected void doPost( HttpServletRequest req, HttpServletResponse resp ) throws ServletException, IOException
	{
		doGet( req, resp );
	}
}